curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
النطاقات المخصصة
سرد قوالب الصفحة الجذرية للنطاق المخصص
GET /custom-domain/templates/
GET
/
custom-domain
/
templates
/
curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
يسرد قوالب الحساب القابلة للاستخدام للصفحة الجذرية لنطاق مخصص، على مضيف Management API (
معرّف
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/custom-domain/templates/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
id الخاص بالقالب هو ما تُسنده إلى حقل template الخاص بنطاق ما عندما تكون root_action الخاصة به custom_page — راجع تحديث نطاق مخصص.
ذات صلة
- تحديث نطاق مخصص — إسناد قالب كصفحة جذرية للنطاق.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Paginated list of templates.
هل كانت هذه الصفحة مفيدة؟